<?php

namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\Controller\CrudWithParameterBag;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Notification;
use Teknisa\MAN\Utilities;


//use Zeedhi\Framework\DataSource\FilterCriteria;

class RelDescConcedidosCallCenter extends CrudWithParameterBag{

    const Relatorio = 'vnd55010_relDescConcedidosCall';

    protected $relDescService;
    protected $utilService;
    protected $dataSourceName;
    
    protected $parameterBagColumns = array('CDFILIAL');
    
    public function __construct (Manager $dataSourceManager, ParameterBag $parameterBag, Utilities\Util $utilService) {
        parent::__construct($dataSourceManager, $parameterBag);
        $this->utilService = $utilService;
    }
    
    
    public function relDescontocall(DTO\Request\Filter $request, DTO\Response $response) {
        $conditions = $this->utilService->getParamsAsArray($request);
            $this->dataSourceName = self::Relatorio;
            parent::find($request, $response);
    }
}